1. dman2009's Avatar
    Did you do the whitelisting procedure described at the beginning of the thread? I'm not sure but I think that has something to do with in app billing.

    Posted via CB10
    Smokeaire likes this.
    04-24-16 03:45 PM
  2. cbvinh's Avatar
    It's been a long while since I installed Google Maps via Cobalt's method. What I thought I had done was install the patched Google Maps and then installed ever update since then, but it's been called into question whether updated versions can be installed over the patched version. So, the question is whether updates can be installed over patched versions? If that's the case and updates can break usage, then it's something to watch out for. (In my case, newer versions of Google Maps have been working fine.)
    04-24-16 03:51 PM
  3. conite's Avatar
    It's been a long while since I installed Google Maps via Cobalt's method. What I thought I had done was install the patched Google Maps and then installed ever update since then, but it's been called into question whether updated versions can be installed over the patched version. So, the question is whether updates can be installed over patched versions? If that's the case and updates can break usage, then it's something to watch out for. (In my case, newer versions of Google Maps have been working fine.)
    You can only update a patched app with a patched app. The system won't allow you to do otherwise.
    Smokeaire likes this.
    04-24-16 04:28 PM
  4. cbvinh's Avatar
    You can only update a patched app with a patched app. The system won't allow you to do otherwise.
    Thanks for the quick response! I must have only installed the unpatched version and it's been working fine.
    04-24-16 05:16 PM
  5. Smokeaire's Avatar
    Did you do the whitelisting procedure described at the beginning of the thread? I'm not sure but I think that has something to do with in app billing.

    Posted via CB10
    Excellent point.
    04-24-16 05:17 PM
  6. whirling dervish's Avatar
    Did you do the whitelisting procedure described at the beginning of the thread? I'm not sure but I think that has something to do with in app billing.

    Posted via CB10
    I did, still the same error
    04-24-16 05:36 PM
  7. 3yE's Avatar
    @conite I succssully patched the latest Uber using colbat's patcher but the Map does not display. Where did I go wrong?
    Cobalt's official Google Apps landing page-img_20160425_110624.png

    Posted via Passport Silver Edition 
    04-25-16 12:08 AM
  8. Lusitano17's Avatar
    Thanks, I tried starting dowloads the second i realised Snap was dead. I also found another easy to understand step by step, that was for people wanting to play COC but I think i got a couple of links off that (not all worked)

    Colbalts showed a 4004 error- wont load the page/site since i first tried dowloading. Now the news of Snap is out, I imagine I wont be able to download from those links for some time. Maybe there are alternatives with the same file name out there if i knew the file name?
    It could be a server issue but try downloading from your browser and disable desktop mode on your device.
    I can confirm link is valid.

    Sine stercore tauri
    04-25-16 02:17 AM
  9. whirling dervish's Avatar
    All links are still valid, was able to dl and set up yesterday
    04-25-16 02:20 AM
  10. anon(6038817)'s Avatar
    @conite I succssully patched the latest Uber using colbat's patcher but the Map does not display. Where did I go wrong?
    Click image for larger version. 

Name:	IMG_20160425_110624.png 
Views:	844 
Size:	26.1 KB 
ID:	398104

    Posted via Passport Silver Edition 
    Apps with Google Maps integration now need to be patched with your own Google Maps API key using the 1.5 beta patcher.

    Posted from my  Q10 via CB10
    3yE likes this.
    04-25-16 08:04 AM
  11. 3yE's Avatar
    Could you pls point me to the instruction ?

    Posted via Passport Silver Edition 
    04-25-16 11:02 AM
  12. 3yE's Avatar
    Apps with Google Maps integration now need to be patched with your own Google Maps API key using the 1.5 beta patcher.

    Posted from my  Q10 via CB10
    Could you pls point me to the instruction?

    Posted via Passport Silver Edition 
    04-25-16 11:06 AM
  13. anon(6038817)'s Avatar
    Could you pls point me to the instruction?

    Posted via Passport Silver Edition 
    There aren't any. I had to read back in the thread to find the links and read how other people did it.
    04-25-16 11:13 AM
  14. 3yE's Avatar
    There aren't any. I had to read back in the thread to find the links and read how other people did it.
    I found the page where it all started. It is in page 233. I have read all the post from other users and understood the steps. One thing I dont know is how to get "Google Maps Android Api" from https://console.developers.google.com/
    From your post, it seemed you have successfully patched the app using Google Maps Android API key. Could you pls show me how to generate this key?

    Posted via Passport Silver Edition 
    mhyde2 likes this.
    04-25-16 11:37 AM
  15. anon(6038817)'s Avatar
    I found the page where it all started. It is in page 233. I have read all the post from other users and understood the steps. One thing I dont know is how to get "Google Maps Android Api" from https://console.developers.google.com/
    From your post, it seemed you have successfully patched the app using Google Maps Android API key. Could you pls show me how to generate this key?

    Posted via Passport Silver Edition 
    https://developers.google.com/maps/d...pt/get-api-key
    3yE likes this.
    04-25-16 01:56 PM
  16. RyanGermann's Avatar
    I have the PS-Patcher 1.4 running and it has a "Checkin" button.

    I thought I would need the GSF-ID to be the same on my Z30 as on the patcher... is that true?

    How do I make them the same if it is necessary?
    04-25-16 02:11 PM
  17. tdyhedge's Avatar
    I have the PS-Patcher 1.4 running and it has a "Checkin" button.

    I thought I would need the GSF-ID to be the same on my Z30 as on the patcher... is that true?

    How do I make them the same if it is necessary?
    Not true. And check in is only needed to make the download function work, which no longer works with the 1.4 or 1.5 versions.

    Edit: BTW - - you can change the gsf id by editing the ini file if you really want to

    Posted via the CrackBerry App for Android
    04-25-16 03:20 PM
  18. seedless2's Avatar
    Anybody have Google Maps showing your current location properly? It loads up and I can see the maps fine but spins trying to get location service data.

    I patched the latest Google Maps (9.23.1) using GMAPS patcher 1.5 beta 2 with apktool updated to 2.1. I have options set to decompile source and I've added the Google Maps API keys. I'm wondering if I'm using the wrong keys? I don't see any requests being generated from the API usage tools on the google site. I've tried:

    -- Google Maps Android API (https://developers.google.com/maps/d...n/android-api/)
    -- Google Maps Geolocation API https://developers.google.com/maps/d...location/intro)

    and

    -- Google Maps JavaScript API (https://developers.google.com/maps/d...on/javascript/)
    -- Google Maps Geolocation API https://developers.google.com/maps/d...location/intro)

    Any guidance is appreciated.
    04-25-16 05:22 PM
  19. juanoblackcrack's Avatar
    Newfangled-thanks for that.

    Posted via CB10
    anon(6038817) likes this.
    04-25-16 06:27 PM
  20. 3yE's Avatar
    Thank you @Cobalt @dman2009 for making this fix possible
    Thank you @Lusitano17 for reminding me to update the apktool.jar
    I have vanquished these monsters
    Cobalt's official Google Apps landing page-img_20160426_104029.jpgCobalt's official Google Apps landing page-img_20160426_104125.jpg
    Lusitano17 likes this.
    04-26-16 12:40 AM
  21. seedless2's Avatar
    To add some info to my last post regarding lack of location services with Google Maps:
    -- Running the latest Cobalt patched services (8.4.89).
    -- Software release 10.3.2.2836 on a z30.
    -- Blackberry Runtime for Android (10.3.2.371).
    -- Same issue with uber (the patcher is finding Android API as opposed to the Google Maps Geo API).
    -- Permissions are set to allow location services (I see the location icon on the home screen when both uber/maps loads)
    -- I've consolidated all Android API's into a single project so they all use a single key:

    Cobalt's official Google Apps landing page-apis.jpg

    Cobalt's official Google Apps landing page-credentials.jpg
    04-26-16 02:41 PM
  22. clevelander's Avatar
    I'm getting the following error when trying to download the apk files in Cobalt's original post. Any ideas?
    ==================
    Not Found

    The requested URL /files/com.google.android.gsf.login-4.3.3-cobalt.apk was not found on this server.
    04-26-16 03:48 PM
  23. dman2009's Avatar
    Seedless, don't enter the api keys when patching Google Maps. Leave those blank. Do not enable "Decompile Resources" either.

    You only do those things with apps that have maps or geolocation dependencies.

    Posted via CB10
    04-26-16 06:00 PM
  24. Cristian Vazquez's Avatar
    i cant reach any of the download links. non of them work, i keep getting 404 error. I managed to get the first three going but the play services just wont work. any mirrors?? thanks.
    04-26-16 06:38 PM
  25. anon(6038817)'s Avatar
    i cant reach any of the download links. non of them work, i keep getting 404 error. I managed to get the first three going but the play services just wont work. any mirrors?? thanks.
    Be patient and try again later. The server likes to crap out sometimes but it will work eventually.

    Posted from my  Q10 via CB10
    04-26-16 06:43 PM
9,360 ... 235236237238239 ...

Similar Threads

  1. Which android app you want to run on your BlackBerry
    By amritanshu singh in forum General BlackBerry Discussion
    Replies: 112
    Last Post: 03-10-16, 03:33 PM
  2. Will the amazon app store kill the blackberry world app store?
    By Allgoodnicknamesaretaken in forum BlackBerry Passport
    Replies: 26
    Last Post: 01-28-15, 12:23 PM
  3. Getting the PayPal app for my new Passport?
    By JVRudnick in forum BlackBerry Passport
    Replies: 22
    Last Post: 12-22-14, 11:29 PM
  4. Facebook & Crackberry Apps on Passport
    By UKAsh in forum CrackBerry Apps
    Replies: 5
    Last Post: 11-05-14, 11:43 PM
  5. BB Link type App for iphone 6 - ipad ??
    By Chopper110 in forum BlackBerry Z10
    Replies: 7
    Last Post: 10-06-14, 05:01 AM
LINK TO POST COPIED TO CLIPBOARD